
Name:      qubes-mgmt-salt-vm
Version:   4.1.0
Release:   1%{?dist}
Summary:   Qubes+Salt Management VM dependencies
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt
BuildRequires: PyYAML
BuildRequires: tree
Requires(post): /usr/bin/qubesctl
Conflicts:  qubes-mgmt-salt-dom0


Source0: qubes-mgmt-salt-%{version}.tar.gz

%description
Qubes+Salt Management VM dependencies.

%package formulas
Summary:   All Qubes+Salt Management VM formulas
Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt
Requires:  qubes-mgmt-salt-vm
#Requires:  qubes-mgmt-salt-vm-python-pip

%description formulas
Qubes+Salt Management VM formulas.

%package connector
Summary:    Interface for managing VM from dom0
Group:     System administration tools
BuildArch: noarch
Requires:  salt-ssh

%description connector
Interface for managing VM from dom0

%prep
%setup -q -n qubes-mgmt-salt-%{version}

%build

%install
make install-vm DESTDIR=%{buildroot}

%files
%defattr(-,root,root)

%files formulas
%defattr(-,root,root)

%files connector
%defattr(-,root,root)
/etc/qubes-rpc/qubes.SaltLinuxVM
/usr/lib/qubes-vm-connector/ssh-wrapper

%changelog
* Tue Apr 02 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt

* Tue Apr 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 47a95a5
- version 4.1.0

* Tue Apr 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d353b38
- Fix jinja-based top file merging

* Tue Apr 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 000d770
- Fix startup_states minion option

* Tue Apr 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 066e97c
- Explicitly load pillar tops

* Wed Mar 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4bde425
- version 4.0.16

* Wed Mar 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4cf1a94
- Merge remote-tracking branch 'origin/pr/10'

* Wed Mar 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c18a9ec
- Merge remote-tracking branch 'origin/pr/8'

* Sun Mar 17 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 29ff31b
- Wipe salt temporary files after applying state in a VM

* Fri Mar 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7c1f8d4
- Regenerate source tarball after copying in relevant files

* Fri Feb 15 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c3f2cfb
- version 4.0.15

* Mon Jan 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fdf926c
- qubesctl: improve error reporting

* Wed Jan 02 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7f6517e
- Handle non existing qubessaltpatches in case where mgmt-salt-base-overrides is not needed anymore

* Sun Dec 23 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 50a379b
- version 4.0.14

* Wed Dec 19 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5fc8aee
- Skip VMs based on empty top file only for state.highstate command

* Wed Dec 19 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 578ae44
- Remove outdated comment

* Wed Dec 19 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 914ab4c
- Do not exclude 'salt' pillar

* Sun Dec 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9a038b0
- version 4.0.13

* Tue Dec 04 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 10c923f
- Fix reporting salt-ssh exit code

* Mon Dec 03 2018 Simon Gaiser <simon@invisiblethingslab.com> - cf48657
- version 4.0.12

* Mon Dec 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 583982f
- qubesctl: use 'management_dispvm' property if available

* Mon Dec 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0f3673c
- qubesctl: fix error reporting

* Wed Oct 24 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 31fda4c
- version 4.0.11

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f0c675b
- debian: don't create orig.tar.gz manually

* Fri Oct 12 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 99f4c9c
- Fix qrexec policy modification

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 56e1d87
- version 4.0.10

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7a9b21
- travis: update Fedora versions

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 88c3bf0
- rpm: make python2 choice explicit

* Mon Jul 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b174848
- builder plugin: fix handling old format rpm packages

* Thu May 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bc25a7d
- travis: add centos7

* Thu May 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 882cf51
- version 4.0.9

* Fri Apr 20 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3a58ac7
- rpm: add missing BR: python-setuptools

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cbe86aa
- travis: update fedora version

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e52a2cf
- Merge remote-tracking branch 'qubesos/pr/6'

* Wed Apr 04 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 4d7dd64
- spec.in: remove .gitignore

* Wed Apr 04 2018 Frédéric Pierret <frederic.epitre@orange.fr> - c5994af
- spec.in: add changelog placeholder

* Wed Apr 04 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 3b9a535
- Makefile.builder: update for .spec.in

* Wed Apr 04 2018 Frédéric Pierret <frederic.epitre@orange.fr> - a4110f1
- Create .spec.in and Source0

* Sat Mar 31 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0b7bec6
- version 4.0.8

* Sat Mar 31 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3dfaff7
- Fix handling qubesctl --max-concurrency option

* Wed Mar 21 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f5acf15
- version 4.0.7

* Tue Mar 20 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d6c1b7f
- Remove .pyc file

* Mon Mar 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 67202cb
- Provide an option to limit VMs configured in parallel

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83dc1d0
- version 4.0.6

* Thu Dec 21 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1bd8416
- Don't pass argument to yaml filter in jinja2

* Thu Dec 21 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7873b4f
- Use more reliable "global variable" method in jinja template

* Sun Oct 08 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 809d3f1
- version 4.0.5

* Sun Oct 08 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b5ab264
- Follow qubesadmin API change

* Fri Sep 15 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 14a8cc4
- version 4.0.4

* Fri Sep 15 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1834fcb
- Force 'systemd' service module in dom0

* Fri Sep 15 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 659853b
- Make minion.dom0.conf really used

